EDIT - bug #6437

Always update titleCache for nomenclatural reference
02/27/2017 11:38 AM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal Found in Version:

Description

If the title of an inreference (e.g.) journal changes, the title cache of the according reference (e.g. article) usually also changes.
However, in the details view "nomenclatural reference" still the old version of the reference is shown (due to the problem described in
#6436). In the name editor it is updated correctly. So before filling the nomenclatural reference field we should always referesh the
titleCache (at least as long #6436 is not yet fully solved).

While testing please check that no problems with deduplication of references exist. We do not want to create new references.

This might also be true for other fields.

Related issues:
Related to EDIT - bug #6436: [DISCUSS] TitleCache update strategy for related... New

Associated revisions

Revision 2a5271ca - 03/23/2018 09:09 AM - Patrick Plitzner

fix #6437 Generate title caches to avoid outdated information

History

#1 - 02/27/2017 11:38 AM - Andreas Miiller
- Related to bug #6436: [DISCUSS] TitleCache update strategy for related objects added

#2 - 05/11/2017 11:43 AM - Andreas Mdiller

- Target version changed from Release 4.7 to Release 4.8

#3 - 07/06/2017 10:27 PM - Andreas Miuller

- Target version changed from Release 4.8 to Release 4.9

#4 - 07/21/2017 10:26 AM - Andreas Mdiller

- Target version changed from Release 4.9 to Release 4.10

#5 - 09/24/2017 04:37 PM - Andreas Miuller

- Target version changed from Release 4.10 to Release 4.11

#6 - 11/08/2017 11:21 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#7 - 12/05/2017 02:16 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#8 - 01/31/2018 12:38 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#9 - 02/15/2018 03:25 PM - Andreas Miuller

- Target version changed from Release 4.14 to Release 5.0
#10 - 03/23/2018 10:18 AM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|2a5271cac0b0341736ba10e6b0656b395bd75147.

#11 - 03/23/2018 10:19 AM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

#12 - 04/30/2018 06:03 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Patrick Plitzner

Seems to work. Also no new reference records (duplicates) were created in the database during testing.

#13 - 04/30/2018 06:04 PM - Andreas Miiller
- % Done changed from 50 to 100
